Get top consumer metrics.

GET /metrics/applications/top_consumer

Returns top consumer for 20 metrics, including their basic information, max value, avg value without max, and its rank.

Request

Path Parameters

Query Parameters

include_sys

string

A boolean parameter describing whether to query for system-level information. If this parameter is set to true, the return will contain information about the resource consumption of the database and the DMC system

monitor_type

Required *

string

field to define the working mode of the monitor, historical mode or real time mode.

limit

integer

The number value that specifies the maximum amount of data to be returned in a response.

offset

integer

The field to the starting position of return records. Limit and offset should be set together.

Response

200 - Returns 20 metrics information for top consumers.

count

integer

The number of statements.

resources

array

403 - Current user does not have permission to access this database.

trace

string

The unique ID assigned by the server that identifies the request that generated the error.

errors

array

List of errors

404 - Database profile not found.

trace

string

The unique ID assigned by the server that identifies the request that generated the error.

errors

array

List of errors

default - Error payload.

Returns performance schemas

GET /metrics/table_performance/schemas

Returns performance of schemas. If there are multiple collections. They’ll been aggregated averagely.

Request

Path Parameters

Query Parameters

monitor_type

Required *

string

The field to define the working mode of the monitor, historical mode or real time mode.

include_sys

string

The field to set if include system tables in the return list.

start

Required *

integer

The start time of the query. if in real time mode please give a value of current time.

end

Required *

integer

The end time of the query. if in real time mode please give a value of current time.

limit

string

The field to set the amount of return records.

offset

string

The field to set the starting position of return records.

sort

string

The field use to sort the returned schemas. The name of the field is in the response. To reverse the sort order, prefix the parameter value with a minus sign (-).

Response

200 - Returns performance of tables.

count

integer

The counts of statements.

resources

array

403 - Current user does not have permission to access this database.

trace

string

The unique ID assigned by the server that identifies the request that generated the error.

errors

array

List of errors

404 - Database profile not found.

trace

string

The unique ID assigned by the server that identifies the request that generated the error.

errors

array

List of errors

default - Error payload

Returns performance table

GET /metrics/table_performance/tables

Returns performance of table. If there are multiple collections. They’ll been aggregated averagely.

Request

Path Parameters

Query Parameters

monitor_type

Required *

string

field to define the working mode of the monitor, historical mode or real time mode.

include_sys

string

A field to set if include system tables in the return list.

start

Required *

integer

The start time of the query. if in real time mode please give a value of current time.

end

Required *

integer

The end time of the query. if in real time mode please give a value of current time.

limit

string

A field to set the amount of return records.

offset

string

A field to set the starting position of return records.

sort

string

Used to sort by the given field. The name of given field can be found from the response. Plus + or - before the given filed to denote by ASC or DESC. By default if not specified it's by ASC. Note: only support one field each time.

Response

200 - Returns performance of tables

count

integer

a list of tables that meets the query criteria.

resources

array

403 - Current user does not have permission to access this database.

trace

string

The unique ID assigned by the server that identifies the request that generated the error.

errors

array

List of errors

404 - Database profile not found.

trace

string

The unique ID assigned by the server that identifies the request that generated the error.

errors

array

List of errors

default - Error payload.

Returns a list of event monitor activities

GET /metrics/statements/event_monitor_activity

Returns a list of event monitor activities.

Request

Path Parameters

Query Parameters

monitor_type

Required *

string

The field to define the working mode of the monitor, historical mode or real time mode.

grouping

string

The column name to group by the given field. The name of given field can be found from the response. Note: only support one field each time.

is_average

boolean

The Boolean value to check average data needed or summary data needed. By default, false. Note: This option should be provided along with "grouping" option.

include_sys

string

The Field to set if include system statements in the return list.

start

Required *

integer

The start time of the query. if in real time mode please give a value of current time.

end

Required *

integer

The end time of the query. if in real time mode please give a value of current time.

limit

integer

The amount of return records. Limit and offest should be set together.

offset

integer

The starting position of return records. Limit and offest should be set together.

address

string

The filter condition of IP address.

sql_text

string

The filter condition of statement text.

appl_name

string

The filter condition of application_name.

session_auth_id

string

The filter condition of session_auth_id.

sort

string

Used to sort by the given field. The name of given field can be found from the response. Plus + or - before the given filed to denote by ASC or DESC. By default if not specified it's by ASC. Note: only support one field each time.

Response

200 - Returns event monitor activities with the specific profile name.

count

integer

counts of event monitor activities.

resources

array

403 - Current user does not have permission to access this database.

trace

string

The unique ID assigned by the server that identifies the request that generated the error.

errors

array

List of errors

404 - Database profile not found.

trace

string

The unique ID assigned by the server that identifies the request that generated the error.

errors

array

List of errors

default - Error payload.

Returns an event monitor activity detail

GET /metrics/statements/event_monitor_activity/{application_handle}/{uow_id}/{activity_id}

Returns an event monitor activity detail.

Request

Path Parameters

application_handle

Required *

integer

A system-wide unique ID for the application.

uow_id

Required *

integer

The unit of work identifier.

activity_id

Required *

integer

A system-wide unique ID for the activity.

Query Parameters

start

Required *

integer

The start time of the query. if in real time mode please give a value of current time.

end

Required *

integer

The end time of the query. if in real time mode please give a value of current time.

Response

200 - Returns event monitor activity details with the specific profile name and specific activity id.

appl_id

string

An input argument of type VARCHAR(64) that uniquely identifies the application that issued the activity whose section is to be explained.

uow_id

integer

An input argument of type INTEGER specifying the unit of work identifier for the activity whose section is to be explained. Unit of work ID is only unique within a given application.

activity_id

integer

An input argument of type INTEGER specifying the identifier of the activity whose section is to be explained. Activity ID is only unique within a unit of work.

sql_hash_id

integer

The unique ID of the SQL contained in the current statement.

time_started

integer

The time at which the activity described by this activity record began executing.

time_completed

integer

The time at which the activity described by this activity record end executing.

coord_partition_num

integer

The coordinator partition of the unit of work or activity.

prep_time

integer

Time in milliseconds required to convert an SQL statement from text form to an executable form (if the activity is an SQL statement; otherwise, the value is 0).

wlm_queue_time_total

integer

The time spent waiting on a WLM queuing threshold. This value is given in milliseconds.

activity_type

string

The type of the activity.

query_cost_estimate

integer

Estimated cost for a query, as determined by the SQL compiler.

workload_name

string

The name of workload.

executable_id

string

An opaque binary token generated on the data server that uniquely identifies the SQL statement section that was executed.

service_superclass_name

string

The name of a service superclass.

service_subclass_name

string

The name of a service subclass.

routine_id

integer

A unique routine identifier.

stmt_isolation

integer

This element shows the isolation value in effect for the statement while it was being run.

query_actual_degree

integer

Actual runtime degree of intra partition parallelism.

appl_name

string

The name of the application running at the client, as known to the database or DB2 Connect server.

session_auth_id

string

The current authorization ID for the session being used by this application.

tpmon_acc_str

string

The data passed to the target database for logging and diagnostic purposes, if the sqleseti API was issued in this connection. The current value of the CLIENT_ACCTNG special register for this activity.

tpmon_client_userid

string

The client user ID generated by a transaction manager and provided to the server, if the sqleseti API is used. The current value of the CLIENT_USERID special register for this activity.

tpmon_client_wkstn

string

Identifies the client's system or workstation (for example CICS® EITERMID), if the sqleseti API was issued in this connection. The current value of the CLIENT_WRKSTNNAME special register for this activity.

address

string

IP address from which the connection was initiated.

sql_code

integer

The unique id of SQL.

member

integer

The numeric identifier for the database member from which the data was retrieved for this result record.

sql_warn

string

The string value of warning message about the SQL.

stmt_exec_time

integer

The total time spent executing this statement by all agents on this member. The value is given in milliseconds.

total_cpu_time

integer

The total amount of CPU time used while within DB2. Represents total of both user and system CPU time. This value is given in microseconds.

total_routine_invocations

integer

The total number of times a routine was invoked.

total_sorts

integer

The total number of sorts that have been executed.

log_disk_waits_total

integer

The amount of time an agent spends waiting for log records to be flushed to disk. The value is given in milliseconds.

fcm_volume_kb

number

The total amount of data via the FCM communications layer. This value is reported in bytes..

thresh_violations

integer

The number of times a threshold was violated.

rows_read

integer

The number of rows read from the table.

rows_returned

integer

The number of rows returned from the table.

rows_modified

integer

The number of rows modified from the table.

rows_read_per_returned

number

Rows read per returned.

lock_wait_time_percent

number

Percent of time waited on locks.

log_disk_wait_time_percent

number

Percent of log disk wait time.

log_buffer_wait_time_percent

number

Percent of log buffer wait time.

sort_wait_time_percent

number

Percent of sort wait time.

other_wait_time_percent

number

Percent of other wait time.

total_section_sort_proc_time_percent

number

Percent of total section sort processing time.

total_routine_user_code_proc_time_percent

number

Percent of total routine user code processing time.

other_process_time_percent

number

Percent of other process time.

wlm_queue_time_total_percent

number

Percent of workload manager total queue time.

logical_reads

integer

The number of logical reads.

physical_reads

integer

The number of physical reads.

pool_writes

integer

The number of write writes that use the buffer pool.

direct_reads

integer

The number of read operations that do not use the buffer pool.

direct_writes

integer

The number of write operations that do not use the buffer pool.

pool_index_l_reads

integer

Buffer pool index logical reads.

pool_xda_l_reads

integer

Buffer pool XDA data logical reads.

pool_data_l_reads

integer

Buffer pool data logical reads.

pool_col_l_reads

integer

Buffer pool column logical reads.

pool_temp_l_reads

integer

Buffer pool temp logical reads.

lock_escals

integer

Number of lock escalations.

lock_timeouts

integer

Number of lock timeouts.

lock_waits

integer

The total number of times that applications or connections waited for locks.

fed_wait_time

integer

Time spent by a federation server.

fed_rows_deleted

integer

Rows deleted by a federation system.

fed_rows_inserted

integer

Rows inserted by a federation system.

fed_rows_updated

integer

Rows updated by a federation system.

fed_rows_read

integer

Rows read by a federation system.

fed_waits_total

integer

Total number of execution times for a federation server.

stmt_id

string

The unique ID for query statement.

plan_id

string

The unique ID for query plan.

semantic_env_id

string

Query semantic compilation environment ID.

adm_resource_actuals

integer

Query uses WLM admission control resource actuals.

effective_query_degree

integer

The effective query degree of parallelism for this activity.

sort_shrheap_top

integer

Sort share heap high watermark.

client_idle_wait_time

integer

This monitor element records time spent waiting for the client to send its next request. The value is given in milliseconds.

post_threshold_sorts

integer

The number of sorts that have requested heaps after thesort heap threshold has been exceeded.

post_shrthreshold_hash_joins

integer

The total number of hash joins that were throttled backby the sort memory throttling algorithm.

post_threshold_col_vector_consumers

integer

The number of columnar vector memory consumers that requested memory after the sort heap threshold was exceeded.

pool_read_time

integer

Total buffer pool physical read time.

pool_write_time

integer

Total buffer pool physical write time.

prefetch_wait_time

integer

The Time waited for prefetch.

temp_reads

integer

The number of temp reads

tpmon_client_app

string

TP monitor client application name

coord_stmt_exec_time

integer

Execution time for statement by coordinator agent.

num_agents

integer

The number of Agents Working on a Statement.

agents_top

integer

The number of Agents Created.

sql_text

string

The text of the SQL statement.

403 - Current user does not have permission to access this database.

trace

string

The unique ID assigned by the server that identifies the request that generated the error.

errors

array

List of errors

404 - Database profile not found.

trace

string

The unique ID assigned by the server that identifies the request that generated the error.

errors

array

List of errors

default - Error payload.